#!/bin/sh

IRRLICHT_VERSION='ab46f76665cd621aedc96f938169f3dfe8815154'

set -e

git clone https://github.com/zaki/irrlicht.git -b ogl-es
cd irrlicht

git checkout "${IRRLICHT_VERSION}"

dos2unix source/Irrlicht/CIrrDeviceLinux.cpp
dos2unix source/Irrlicht/Makefile
dos2unix include/IrrCompileConfig.h

wget -O - https://sourceforge.net/p/irrlicht/patches/_discuss/thread/97431334ce/c73a/attachment/multitouch.patch | patch -p1

disable_feature() {
    sed -i "s/^#define $1.*$//g" include/IrrCompileConfig.h
}
enable_feature() {
    sed -i "s/^\/\/#define $1.*$/#define $1/g" include/IrrCompileConfig.h
}

disable_feature _IRR_COMPILE_WITH_OPENGL_
disable_feature _IRR_COMPILE_WITH_OGLES2_
disable_feature _IRR_COMPILE_WITH_WEBGL1_
enable_feature _IRR_COMPILE_WITH_OGLES1_
enable_feature _IRR_LINUX_X11_XINPUT2_

cd source/Irrlicht

make NDEBUG=1 CC=aarch64-linux-gnu-gcc CXX=aarch64-linux-gnu-g++ -j$(nproc)
